#ifndef HTTPREQUESTUTIL_H
#define HTTPREQUESTUTIL_H

#include <QObject>
#include <QNetworkAccessManager>
#include <QNetworkReply>
#include <QUrlQuery>
#include <QJsonObject>
#include <QJsonDocument>
#include <QJsonArray>
#include <QEventLoop>

class HttpRequestUtil : public QObject
{
    Q_OBJECT
public:
    explicit HttpRequestUtil(QObject *parent = nullptr);

    QNetworkAccessManager * manager;

    QNetworkReply * sendGetRequest(QNetworkRequest request);
    QNetworkReply * sendPostRequest(QNetworkRequest request, QByteArray params);

signals:

};

#endif // HTTPREQUESTUTIL_H
